Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.elementformats
Class IconPieChartLabelPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      info.bioinfweb.treegraph.gui.dialogs.elementformats.IconPieChartLabelPanel

All Implemented Interfaces:
  ElementFormatTab, ImageObserver, MenuContainer, Serializable, Accessible

    public class IconPieChartLabelPanel

extends JPanel
implements ElementFormatTab

Panel of the `ElementFormatsDialog` used to edit the icon label color.

Since:
  2.0.25
Author:
  Ben Stöver
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`private JLabel` | `colorLabel`
`private JList` | `colorList`
`private JScrollPane` | `colorListScrollPane`
`private JPanel` | `dimensionPanel`
`private JComboBox` | `iconComboBox`
`private JCheckBox` | `iconFilledCheckBox`
`private info.webinsel.util.swing.SwingChangeMonitor` | `iconFilledMonitor`
`private DistanceValueInput` | `iconHeightInput`
`private info.webinsel.util.swing.SwingChangeMonitor` | `iconMonitor`
`private JPanel` | `iconPanel`
`private IconPreviewPanel` | `iconPreviewPanel`
`private DistanceValueInput` | `iconWidthInput`
`private info.webinsel.util.ChangeMonitor` | `internalLinesMonitor`
`private info.webinsel.util.ChangeMonitor` | `nullLinesMonitor`
`private JPanel` | `pieChartPanel`
`private info.webinsel.util.ChangeMonitor` | `pieColorMonitor`
`static int` | `PREVIEW_SIZE`
`private JLabel` | `previewLabel`
`private JCheckBox` | `showInternalLinesCheckBox`
`private JCheckBox` | `showNullLinesCheckBox`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`IconPieChartLabelPanel()` This is the default constructor

Method Summary
`void` | `addError(List<String> list)` Adds error messages to the given list, if this tab contains any invalid user inputs.
`void` | `addOperators(List<FormatOperator> operators)`
`private Color[]` | `getColorArray()`
`private JList` | `getColorList()` This method initializes colorList
`private PieColorListEntry` | `getColorListEntry(int index)`
`private DefaultListModel` | `getColorListModel()`
`private JScrollPane` | `getColorListScrollPane()` This method initializes colorListScrollPane
`private JPanel` | `getDimensionPanel()` This method initializes dimensionPanel
`private DistanceValueInput` | `getHeightInput()`
`private JComboBox` | `getIconComboBox()` This method initializes iconComboBox
`private LabelIconComboBoxModel` | `getIconComboBoxModel()`
`private JCheckBox` | `getIconFilledCheckBox()` This method initializes iconFilledCheckBox
`private JPanel` | `getIconPanel()` This method initializes iconPanel
`private IconPreviewPanel` | `getIconPreviewPanel()` This method initializes iconPreviewPanel
`private JPanel` | `getPieChartPanel()` This method initializes pieChartPanel
`private JCheckBox` | `getShowInternalLinesCheckBox()` This method initializes showInternalLinesCheckBox
`private JCheckBox` | `getShowNullLinesCheckBox()` This method initializes showNullLinesCheckBox
`private DistanceValueInput` | `getWidthInput()`
`private void` | `initialize()` This method initializes this
`private void` | `paintIconPreview()`
`void` | `resetChangeMonitors()`
`private void` | `setIconValues(IconLabelFormats f)`
`void` | `setLabelFormats(GraphicalLabelFormats f)` Sets the values of a formats object according to the user input.
`void` | `setPieChartElementsVisible(boolean visible)`
`boolean` | `setValues(TreeSelection selection)` The values of the first compatible element in the selection should be set to the input components of this tab.
`String` | `title()`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREVIEW_SIZE

    public static final int PREVIEW_SIZE

See Also:
  Constant Field Values

### iconMonitor

    private info.webinsel.util.swing.SwingChangeMonitor iconMonitor

### iconFilledMonitor

    private info.webinsel.util.swing.SwingChangeMonitor iconFilledMonitor

### pieColorMonitor

    private info.webinsel.util.ChangeMonitor pieColorMonitor

### internalLinesMonitor

    private info.webinsel.util.ChangeMonitor internalLinesMonitor

### nullLinesMonitor

    private info.webinsel.util.ChangeMonitor nullLinesMonitor

### iconPanel

    private JPanel iconPanel

### iconComboBox

    private JComboBox iconComboBox

### iconPreviewPanel

    private IconPreviewPanel iconPreviewPanel

### iconWidthInput

    private DistanceValueInput iconWidthInput

### iconHeightInput

    private DistanceValueInput iconHeightInput

### iconFilledCheckBox

    private JCheckBox iconFilledCheckBox

### dimensionPanel

    private JPanel dimensionPanel

### pieChartPanel

    private JPanel pieChartPanel

### previewLabel

    private JLabel previewLabel

### colorListScrollPane

    private JScrollPane colorListScrollPane

### colorList

    private JList colorList

### colorLabel

    private JLabel colorLabel

### showInternalLinesCheckBox

    private JCheckBox showInternalLinesCheckBox

### showNullLinesCheckBox

    private JCheckBox showNullLinesCheckBox

Constructor Detail

### IconPieChartLabelPanel

    public IconPieChartLabelPanel()

  This is the default constructor

Method Detail

### addError

    public void addError(List<String> list)

  Description copied from interface: `ElementFormatTab`
  Adds error messages to the given list, if this tab contains any invalid user inputs.

  Specified by:
    `addError` in interface `ElementFormatTab`
  Parameters:
    `list` - the list to add the messaged to

### title

    public String title()

  Specified by:
    `title` in interface `ElementFormatTab`

### setValues

    public boolean setValues(TreeSelection selection)

  Description copied from interface: `ElementFormatTab`
  The values of the first compatible element in the selection should be set to the input components of this tab.

  Specified by:
    `setValues` in interface `ElementFormatTab`
  Parameters:
    `selection` - the currently selected tree elements
  Returns:
    `false` if no compatible element was selected

### setIconValues

    private void setIconValues(IconLabelFormats f)

### getColorArray

    private Color[] getColorArray()

### addOperators

    public void addOperators(List<FormatOperator> operators)

  Specified by:
    `addOperators` in interface `ElementFormatTab`

### resetChangeMonitors

    public void resetChangeMonitors()

  Specified by:
    `resetChangeMonitors` in interface `ElementFormatTab`

### setLabelFormats

    public void setLabelFormats(GraphicalLabelFormats f)

  Sets the values of a formats object according to the user input. Special icon or pie chart formats are also set, if an corresponding instance is passed.

  Parameters:
    `f` - the formats object to store the user input

### setPieChartElementsVisible

    public void setPieChartElementsVisible(boolean visible)

### paintIconPreview

    private void paintIconPreview()

### initialize

    private void initialize()

  This method initializes this

### getIconPanel

    private JPanel getIconPanel()

  This method initializes iconPanel

  Returns:
    javax.swing.JPanel

### getWidthInput

    private DistanceValueInput getWidthInput()

### getHeightInput

    private DistanceValueInput getHeightInput()

### getIconComboBox

    private JComboBox getIconComboBox()

  This method initializes iconComboBox

  Returns:
    javax.swing.JComboBox

### getIconComboBoxModel

    private LabelIconComboBoxModel getIconComboBoxModel()

### getIconPreviewPanel

    private IconPreviewPanel getIconPreviewPanel()

  This method initializes iconPreviewPanel

  Returns:
    javax.swing.JPanel

### getIconFilledCheckBox

    private JCheckBox getIconFilledCheckBox()

  This method initializes iconFilledCheckBox

  Returns:
    javax.swing.JCheckBox

### getDimensionPanel

    private JPanel getDimensionPanel()

  This method initializes dimensionPanel

  Returns:
    javax.swing.JPanel

### getPieChartPanel

    private JPanel getPieChartPanel()

  This method initializes pieChartPanel

  Returns:
    javax.swing.JPanel

### getColorListScrollPane

    private JScrollPane getColorListScrollPane()

  This method initializes colorListScrollPane

  Returns:
    javax.swing.JScrollPane

### getColorList

    private JList getColorList()

  This method initializes colorList

  Returns:
    javax.swing.JList

### getColorListModel

    private DefaultListModel getColorListModel()

### getColorListEntry

    private PieColorListEntry getColorListEntry(int index)

### getShowInternalLinesCheckBox

    private JCheckBox getShowInternalLinesCheckBox()

  This method initializes showInternalLinesCheckBox

  Returns:
    javax.swing.JCheckBox

### getShowNullLinesCheckBox

    private JCheckBox getShowNullLinesCheckBox()

  This method initializes showNullLinesCheckBox

  Returns:
    javax.swing.JCheckBox

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD